# Class OjCheckboxsetBase

This is the base class for oj-checkboxset WebElement, and is generated from the component's metadata. Do not modify these contents since they'll be replaced during the next generation. Put overrides into the WebElements's subclass, OjCheckboxset.ts.

#### Hierarchy

- OjWebElement
  - OjCheckboxsetBase
    - OjCheckboxset

#####
Index

### Constructors

constructor

### Methods

changeMessagesCustom
changeValue
clear
click
findElement
findElements
getAttribute
getCssValue
getDescribedBy
getDisabled
getDisplayOptions
getHelp
getHelpHints
getLabelEdge
getLabelHint
getLabelledBy
getLocation
getMessagesCustom
getOptionRenderer
getOptions
getOptionsKeys
getProperty
getReadonly
getReadonlyUserAssistanceShown
getRect
getRequired
getSize
getText
getTranslations
getUserAssistanceDensity
getValid
getValue
hasSize
hasVisibility
isDisplayed
isEnabled
isSelected
sendKeys
setProperty
submit
takeScreenshot
whenBusyContextReady
whenReady

## Constructors

### constructor

- new OjCheckboxsetBase(el, locators): OjCheckboxsetBase

- Constructor. Pass an instance of WebDriver's WebElement that represents the DOM node on which we"ll perform operations.

  #### Parameters

  - ##### el: WebElement

    The basic WebElement with which this WebElement will work.

  - ##### locators: ElementLocators

  #### Returns OjCheckboxsetBase

  Inherited from OjWebElement.constructor

## Methods

### changeMessagesCustom

- changeMessagesCustom(messagesCustom): Promise<void>

- Sets the value of `messagesCustom` property. A list of messages added by an application to the component. See the Help documentation for more information.

  #### Parameters

  - ##### messagesCustom: object[]

    The value to set for `messagesCustom`

  #### Returns Promise<void>

### changeValue

- changeValue(value): Promise<void>

- Sets the value of `value` property. An array that represents the value of the component. See the Help documentation for more information.

  #### Parameters

  - ##### value: any[]

    The value to set for `value`

  #### Returns Promise<void>

### clear

- clear(): Promise<void>

- #### Returns Promise<void>

  #### Inherit Doc

  Inherited from OjWebElement.clear

### click

- click(): Promise<void>

- #### Returns Promise<void>

  #### Inherit Doc

  Inherited from OjWebElement.click

### findElement

- findElement(locator): WebElementPromise

- #### Parameters

  - ##### locator: Locator

  #### Returns WebElementPromise

  #### Inherit Doc

  Inherited from OjWebElement.findElement

### findElements

- findElements(locator): Promise<WebElement[]>

- #### Parameters

  - ##### locator: Locator

  #### Returns Promise<WebElement[]>

  #### Inherit Doc

  Inherited from OjWebElement.findElements

### getAttribute

- getAttribute(attributeName): Promise<string>

- #### Parameters

  - ##### attributeName: string

  #### Returns Promise<string>

  #### Inherit Doc

  Inherited from OjWebElement.getAttribute

### getCssValue

- getCssValue(cssStyleProperty): Promise<string>

- #### Parameters

  - ##### cssStyleProperty: string

  #### Returns Promise<string>

  #### Inherit Doc

  Inherited from OjWebElement.getCssValue

### getDescribedBy

- getDescribedBy(): Promise<string>

- Gets the value of `describedBy` property. The form component's oj-label automatically sets described-by to make it accessible. It is not meant to be set by application developer.

  #### Returns Promise<string>

  The value of `describedBy` property.

### getDisabled

- getDisabled(): Promise<boolean>

- Gets the value of `disabled` property. Specifies if the component is disabled. If true, then all of its inputs and labels are also disabled. See the Help documentation for more information.

  #### Returns Promise<boolean>

  The value of `disabled` property.

### getDisplayOptions

- getDisplayOptions(): Promise<DisplayOptions>

- Gets the value of `displayOptions` property. Display options for auxiliary content that determines whether or not it should be displayed.

  #### Returns Promise<DisplayOptions>

  The value of `displayOptions` property.

### getHelp

- getHelp(): Promise<Help>

- Gets the value of `help` property. Form component help information.

  #### Returns Promise<Help>

  The value of `help` property.

### getHelpHints

- getHelpHints(): Promise<HelpHints>

- Gets the value of `helpHints` property. Represents hints for an oj-form-layout element to render help information on the label of the editable component.

  #### Returns Promise<HelpHints>

  The value of `helpHints` property.

### getLabelEdge

- getLabelEdge(): Promise<string>

- Gets the value of `labelEdge` property. Defines how the label of a component is created. See the Help documentation for more information.

  #### Returns Promise<string>

  The value of `labelEdge` property.

### getLabelHint

- getLabelHint(): Promise<string>

- Gets the value of `labelHint` property. Represents a hint for oj-form-layout element to render a label on the editable component.

  #### Returns Promise<string>

  The value of `labelHint` property.

### getLabelledBy

- getLabelledBy(): Promise<null | string>

- Gets the value of `labelledBy` property. Establishes a relationship between this component and another element, typically an oj-label custom element. See the Help documenation for more information.

  #### Returns Promise<null | string>

  The value of `labelledBy` property.

### getLocation

- getLocation(): Promise<ILocation>

- #### Returns Promise<ILocation>

  #### Inherit Doc

  Inherited from OjWebElement.getLocation

### getMessagesCustom

- getMessagesCustom(): Promise<object[]>

- Gets the value of `messagesCustom` property. A list of messages added by an application to the component. See the Help documentation for more information.

  #### Returns Promise<object[]>

  The value of `messagesCustom` property.

### getOptionRenderer

- getOptionRenderer(): Promise<null>

- Gets the value of `optionRenderer` property. The renderer function that renders the content of each option.

  #### Returns Promise<null>

  The value of `optionRenderer` property.

### getOptions

- getOptions(): Promise<null | object>

- Gets the value of `options` property. The option items for the checkbox set.

  #### Returns Promise<null | object>

  The value of `options` property.

### getOptionsKeys

- getOptionsKeys(): Promise<OptionsKeys>

- Gets the value of `optionsKeys` property. Specify the key names to use in the options array. Depending on options-keys means that the signature of the data does not match what is supported by the options attribute.

  #### Returns Promise<OptionsKeys>

  The value of `optionsKeys` property.

### getProperty

- getProperty<T>(propertyName): Promise<T>

- Get a named property value from this component. This function will wait for the application's busy context to complete before attempting to get the property value.

  #### Type Parameters

  - #### T = string

  #### Parameters

  - ##### propertyName: string

    The name of the property

  #### Returns Promise<T>

  A Promise that yields a value for the named property.

  Inherited from OjWebElement.getProperty

### getReadonly

- getReadonly(): Promise<boolean>

- Gets the value of `readonly` property. Specifies whether the component is read-only. A read-only element cannot be modified, but user interaction is allowed. See the Help documentation for more information.

  #### Returns Promise<boolean>

  The value of `readonly` property.

### getReadonlyUserAssistanceShown

- getReadonlyUserAssistanceShown(): Promise<string>

- Gets the value of `readonlyUserAssistanceShown` property. Specifies which user assistance types should be shown when the component is readonly. 'none': No user assistance is shown when the component is readonly. (Default) 'confirmationAndInfoMessages': messagesCustom messages of severity 'confirmation' and 'info' will be shown. Other severities will be filtered out and an info log message will be logged to the console.

  #### Returns Promise<string>

  The value of `readonlyUserAssistanceShown` property.

### getRect

- getRect(): Promise<IRectangle>

- #### Returns Promise<IRectangle>

  #### Inherit Doc

  Inherited from OjWebElement.getRect

### getRequired

- getRequired(): Promise<boolean>

- Gets the value of `required` property. Specifies whether the component is required or optional. See the Help documentation for more information.

  #### Returns Promise<boolean>

  The value of `required` property.

### getSize

- getSize(): Promise<ISize>

- #### Returns Promise<ISize>

  #### Inherit Doc

  Inherited from OjWebElement.getSize

### getText

- getText(): Promise<string>

- #### Returns Promise<string>

  #### Inherit Doc

  Inherited from OjWebElement.getText

### getTranslations

- getTranslations(): Promise<null | Translations>

- Gets the value of `translations` property. A collection of translated resources from the translation bundle, or null if this component has no resources.

  #### Returns Promise<null | Translations>

  The value of `translations` property.

### getUserAssistanceDensity

- getUserAssistanceDensity(): Promise<string>

- Gets the value of `userAssistanceDensity` property. Specifies the density of the form component's user assistance presentation.

  #### Returns Promise<string>

  The value of `userAssistanceDensity` property.

### getValid

- getValid(): Promise<string>

- Gets the value of `valid` property. The validity state of the component

  #### Returns Promise<string>

  The value of `valid` property.

### getValue

- getValue(): Promise<any[]>

- Gets the value of `value` property. An array that represents the value of the component. See the Help documentation for more information.

  #### Returns Promise<any[]>

  The value of `value` property.

### `Protected` hasSize

- hasSize(): Condition<Promise<boolean>>

- Create a wait condition that is satisfied when the element's DOM has a non-zero size.

  #### Returns Condition<Promise<boolean>>

  The Condition to be used with driver.wait() that's satisfied when the element's DOM has a non-zero size.

  #### Deprecated

  Since 11.0.0. Call the appropriate WebElement method to test the size of the element.

  Inherited from OjWebElement.hasSize

### `Protected` hasVisibility

- hasVisibility(): Condition<Promise<boolean>>

- Create a wait condition that is satisfid when the element is visible. The condition is satisfied when the element is displayed, as reported by #isDisplayed, and is scrolled into view. This is method is deprecated. Use WebElement.isDisplayed instead to test the display of the element, and scroll it into view if necessary.

  #### Returns Condition<Promise<boolean>>

  #### Deprecated

  Inherited from OjWebElement.hasVisibility

### isDisplayed

- isDisplayed(): Promise<boolean>

- #### Returns Promise<boolean>

  #### Inherit Doc

  Inherited from OjWebElement.isDisplayed

### isEnabled

- isEnabled(): Promise<boolean>

- #### Returns Promise<boolean>

  #### Inherit Doc

  Inherited from OjWebElement.isEnabled

### isSelected

- isSelected(): Promise<boolean>

- #### Returns Promise<boolean>

  #### Inherit Doc

  Inherited from OjWebElement.isSelected

### sendKeys

- sendKeys(...varArgs): Promise<void>

- #### Parameters

  - ##### `Rest` ...varArgs: (string | number | Promise<string | number>)[]

  #### Returns Promise<void>

  #### Inherit Doc

  Inherited from OjWebElement.sendKeys

### `Protected` setProperty

- setProperty<T>(propertyName, value): Promise<void>

- Set a property value on the remote element. This function first waits for the BusyContext to clear before setting the property, then after setting, waits again to ensure that no additional busy states were created due to the property setting.

  #### Type Parameters

  - #### T = string

  #### Parameters

  - ##### propertyName: string

    The property name to set

  - ##### value: T

    The value to set for the property

  #### Returns Promise<void>

  A Promise which resolves when the remote property has been set to the value. Any value returned from the call to set the remote property is returned in the Promise.

  Inherited from OjWebElement.setProperty

### submit

- submit(): Promise<void>

- #### Returns Promise<void>

  #### Inherit Doc

  Inherited from OjWebElement.submit

### takeScreenshot

- takeScreenshot(optScroll?): Promise<string>

- #### Parameters

  - ##### `Optional` optScroll: boolean

  #### Returns Promise<string>

  #### Inherit Doc

  Inherited from OjWebElement.takeScreenshot

### whenBusyContextReady

- whenBusyContextReady(): Promise<void>

- Returns a Promise that is resolved when the application's busy state reports ready. This method checks only that the application's busy context is ready, and not that the DOM element is actually displayed or has a physical size, such as is the case with #whenReady. Operations which are read-only in nature should call this method prior to execution.

  #### Returns Promise<void>

  A Promise which is resolved when the page's busy state is ready.

  Inherited from OjWebElement.whenBusyContextReady

### whenReady

- whenReady(): Promise<void>

- Returns a Promise that is resolved when the element is ready for interaction--it is visible, has a size, and the app's busy context is ready. Operations on the DOM which rely on its physical location and size to be in a "ready" state should use this command, such as clicking, sending keys, locating child elements, and so on.

  #### Returns Promise<void>

  A Promise that's resolved when all conditions are met.

  Inherited from OjWebElement.whenReady

Generated using TypeDoc